Package org.gradle.plugins.signing.type

# Class BinarySignatureType

java.lang.Object
org.gradle.plugins.signing.type.AbstractSignatureType
org.gradle.plugins.signing.type.BinarySignatureType

All Implemented Interfaces:
  `SignatureType`

public class BinarySignatureType extends AbstractSignatureType
Binary signature type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BinarySignatureType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getExtension()`
  The file extension (without the leading dot) associated to this type of signature.

  ### Methods inherited from class org.gradle.plugins.signing.type.AbstractSignatureType

  `combinedExtension, fileFor, sign, sign`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BinarySignatureType

    public BinarySignatureType()

- ## Method Details

  - ### getExtension

    public String getExtension()
    Description copied from interface: `SignatureType`
    The file extension (without the leading dot) associated to this type of signature.